/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

 .animated-heading {
font-size: 35px;
    font-weight: 500;
    text-align: center;
    overflow: hidden;
    color: #d5d5d5;
        font-family: "Roboto Condensed", Sans-serif;
}

#rotating-word {
    display: block;
    min-width: 685px;
    text-align: center;
    transition: transform 0.9s ease, opacity 0.9s ease;
    color: #ffffff;
    font-size: 70px;
    font-weight: 600;
}
[data-prefix="product"] .hero-section[data-type="type-1"] {
    margin-top: 75px;
}
/*  */
.htslider-single-post-slide .content .post-inner p {
    color: #fbfbfb;
}
/*  */
.elementor-838 .elementor-element.elementor-element-a2acc34 .htslider-postslider-area button.slick-arrow {
    margin-left: -50px;
}
.htslider-arrow-1.htslider-postslider-area button.htslider-carosul-next.slick-arrow, .htslider-arrow-4.htslider-postslider-area button.htslider-carosul-next.slick-arrow {
    right: -20px;
}

.elementor-838 .elementor-element.elementor-element-a2acc34 .htslider-item-img {
    border-radius: 20px;
}
/* references */

/* img references */
/* Правим субтитрите Flex контейнер */
.slick-slide img {
    float: left;
        margin: 0 30px 0 0;
}
.htslider-subtitle {
    /* display: flex !important; */
    align-items: center; /* Центрира текста вертикално спрямо снимката */
    gap: 15px; /* Разстояние между снимката и текста */
}

/* Настройваме размера на малката снимка */
.htslider-subtitle img {
    width: 100%;
    max-width: 300px !important;
    height: auto;
    object-fit: cover;
    border-radius: 10px!important;
}

.single-slide-item.htslider-single-post-slide .content .post-inner p img{
    padding: 0 20px 20px 0;
    float: left;
    border-radius: 5px;
}
#popup-content img{ padding: 0 20px 20px 0;
    float: left;}
/*  */
#popup-overlay {
  display: none;
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0,0,0,0.7);
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
#popup-box {
  background: #101418;
  border: 2px solid #1B242C;
  padding: 20px;
  max-width: 600px;
  width: 90%;
  max-height: 80vh;
  overflow-y: auto;
  border-radius: 8px;
  position: relative;
}
#popup-close {
  position: absolute;
  top: 10px; right: 15px;
  font-size: 24px;
  cursor: pointer;
}
/*  */
/* .type-post{margin-top: 100px;} */

/* slider */
/* Променяме подредбата на контейнера, за да контролираме децата му */
.htb-container .post-inner {
    display: flex!important;
    flex-direction: column!important;
}

/* Задаваме ред на заглавието (Title) */
.htb-container .htslider-title {
    order: 1!important;
}

/* Задаваме ред на подзаглавието (Subtitle) */
.htb-container .htslider-subtitle {
    order: 2!important;
    margin-top: 10px!important; /* Добавя малко разстояние между тях */
}

/* Задаваме ред на описанието (Description) */
.htb-container .htslider-desc {
    order: 3!important;
}
.htb-container .post-btn {
    order: 4!important;
}

@media (max-width: 768px) {
 .animated-heading {
  font-size: 20px;
 }
 #rotating-word {
    font-size: 30px;
    min-width: 325px;
  
}
.htslider-subtitle {
    flex-direction: column;
}
.slick-slide img {
    margin: 0 0 30px 0;
}
.htslider-subtitle{
    font-size: 14px!important;
    line-height: 22px;
}
.htb-container .htslider-title {
    font-size: 20px;
}
.htb-container .post-inner {
    text-align: center;
}
}

@media (max-width: 500px) {.single-slide-item.htslider-single-post-slide .content .post-inner p img{
    padding: 0 0 20px 0;
    float: none;
    width: 100%;
}
#popup-content img{ padding: 0 0 20px 0;
   float: none;
    width: 100%;}
}
